setup.py 3.01 KB
Newer Older
Fabrice Salvaire's avatar
Fabrice Salvaire committed
1 2 3 4
#! /usr/bin/env python3

####################################################################################################
#
Fabrice Salvaire's avatar
Fabrice Salvaire committed
5
# PythonicGcodeMachine - @licence_header_description@
Fabrice Salvaire's avatar
Fabrice Salvaire committed
6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33
# Copyright (C) 2018 Fabrice Salvaire
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
####################################################################################################

####################################################################################################

import glob
import sys

from setuptools import setup, find_packages
setuptools_available = True

####################################################################################################

if sys.version_info < (3,):
Fabrice Salvaire's avatar
Fabrice Salvaire committed
34
    print('PythonicGcodeMachine requires Python 3', file=sys.stderr)
Fabrice Salvaire's avatar
Fabrice Salvaire committed
35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53
    sys.exit(1)

exec(compile(open('setup_data.py').read(), 'setup_data.py', 'exec'))

####################################################################################################

def read_requirement():
    return [requirement.strip() for requirement in open('requirements.txt').readlines()]

####################################################################################################

setup_dict.update(dict(
    # include_package_data=True, # Look in MANIFEST.in
    packages=find_packages(exclude=['unit-test']),
    scripts=glob.glob('bin/*'),
    # [
    #     'bin/...',
    # ],
    package_data={
Fabrice Salvaire's avatar
Fabrice Salvaire committed
54
        'PythonicGcodeMachine.Config': ['logging.yml'],
Fabrice Salvaire's avatar
Fabrice Salvaire committed
55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89
    },

    platforms='any',
    zip_safe=False, # due to data files

    # cf. http://pypi.python.org/pypi?%3Aaction=list_classifiers
    classifiers=[
        'Topic :: Scientific/Engineering',
        'Intended Audience :: Education',

        'Development Status :: 1 - Planning',
        'Development Status :: 2 - Pre-Alpha',
        'Development Status :: 3 - Alpha',
        'Development Status :: 4 - Beta',
        'Development Status :: 5 - Production/Stable',
        'Development Status :: 6 - Mature',
        'Development Status :: 7 - Inactive',

        'License :: OSI Approved :: GNU General Public License v3 (GPLv3)',
        'License :: OSI Approved :: GNU Affero General Public License v3 or later (AGPLv3+)',

        'Operating System :: OS Independent',

        'Programming Language :: Python :: 3.6',
        ],

    install_requires=read_requirement(),
    # [
    #     'PyYAML',
    # ],
))

####################################################################################################

setup(**setup_dict)